summaryrefslogtreecommitdiffstats
path: root/groff-1.18.1.1-tempfile.patch
blob: 0e73606c7f9341d60c6cf317470dc89236fa4db6 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
--- groff-1.18.1.1/contrib/groffer/groffer.sh.tempfile	2004-06-15 03:44:50.000000000 +0200
+++ groff-1.18.1.1/contrib/groffer/groffer.sh	2004-10-19 13:04:35.704244526 +0200
@@ -3228,18 +3228,13 @@
   do
     if is_not_empty "$d"; then
       if obj d is_dir && obj d is_writable; then
-        _TMP_DIR="${d}/${_PROGRAM_NAME}${_PROCESS_ID}";
-        if obj _TMP_DIR is_dir; then
-	  rm -f "${_TMP_DIR}"/*;
-          break;
-        else
-          mkdir "${_TMP_DIR}";
-          if obj _TMP_DIR is_not_dir; then
-            _TMP_DIR='';
-	    continue;
-          fi;
-          break;
-  	fi;
+	  _TMP_DIR="`mktemp -d ${d}/${_PROGRAM_NAME}.XXXXXX`";
+	  if test $? = 0; then
+	      break;
+	  else
+	      _TMP_DIR='';
+	      continue;
+	  fi
       fi;
       if obj _TMP_DIR is_not_writable; then
 	_TMP_DIR='';